## node-cjson 0.5.0

=== Makefile ===
test:
	node ./test/test.js

.PHONY: test

## node-cjson 0.4.0

=== debian/changelog ===
node-cjson (0.4.0-2) unstable; urgency=medium

  * Move to main (it was mistakenly added to contrib as it was in
    dependency chain for jison) 

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Oct 2016 14:01:00 +0530

node-cjson (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #840214)

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Oct 2016 21:51:33 +0530

=== debian/control ===
Source: node-cjson
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-json-parse-helpfulerror
Standards-Version: 3.9.8
Homepage: https://github.com/kof/node-cjson#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-cjson.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-cjson.git

Package: node-cjson
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-json-parse-helpfulerror (>= 1.0.3)
Description: commented JavaScript Object Notation
 It is a json loader, which parses only valid json files, but with comments
 enabled. Useful for loading configs.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-cjson

Test-Command: nodejs ./test/test.js
Depends: @

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/kof/node-cjson
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/cjson .*=cjson-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-cjson 0.5.0

=== debian/changelog ===
node-cjson (0.5.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-cjson: Add :any qualifier for nodejs dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 12:50:37 +0000

node-cjson (0.5.0-2) unstable; urgency=medium

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 17:44:26 +0000

node-cjson (0.5.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto test & install
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Update debian/watch to use npm registry
  * Update upstream/metadata
  * New upstream version 0.5.0
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Tue, 28 Apr 2020 21:17:38 +0200

=== debian/control ===
Source: node-cjson
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , node-json-parse-helpfulerror <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-cjson
Vcs-Git: https://salsa.debian.org/js-team/node-cjson.git
Homepage: https://github.com/kof/node-cjson
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-cjson
Architecture: all
Depends: ${misc:Depends}
 , node-json-parse-helpfulerror
 , nodejs:any
Description: commented JavaScript Object Notation
 It is a json loader, which parses only valid json files, but with comments
 enabled. Useful for loading configs.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none" \
 https://registry.npmjs.org/cjson https://registry.npmjs.org/cjson/-/cjson-(\d[\d\.]*)@ARCHIVE_EXT@
